Bug 41272 - Unable to switch workspaces with Alt+F1-F4
Unable to switch workspaces with Alt+F1-F4
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-18 10:16 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-18 10:17:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-18 10:16:58 EDT
Description of Problem:
In Red Hat Linux 7.0 (and all previous versions, as far as I can remember)
it was possible
to switch workspaces (using GNOME and also KDE) but tapping the Alt key
plus one
of the function keys. This does not work any longer in Red Hat Linux 7.1
Note that switching to virtual consoles with Ctrl+Alt+F1...6 works
properly, and Ctrl+Alt+F7
switches back to the X desktop.

How Reproducible:
Boot into runlevel 5 using GNOME 1.2.8 and XFree86 4.0.3 (default in RHL
7.1) on an
IBM ThinkPad laptop (I am using a T21).

Steps to Reproduce:
1. Type Alt+F2
2. " " F3
3. " " F4

Actual Results:
Stuck in workspace 1.

Expected Results:
Should switch to workspace 2, 3, 4.

Additional Information:
The workspace switcher applet in the GNOME panel still works. It is just
the keyboard
combinations that do not work any more.
Comment 1 Mike A. Harris 2001-05-19 06:32:33 EDT
GNOME 1.2.4 is what we shipped.  Switching desktops works for me.
KDE has never done this.  KDE uses the ALT-Fx for other purposes and
always has.

Note You need to log in before you can comment on or make changes to this bug.